Bug 1867267 - Review Request: wlr-sunclock - Show the sun's shadows on earth
Summary: Review Request: wlr-sunclock - Show the sun's shadows on earth
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-07 23:57 UTC by Bob Hepple
Modified: 2020-09-25 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-05 18:32:05 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Bob Hepple 2020-08-07 23:57:45 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/wef/wlr-sunclock/fedora-31-x86_64/01596442-wlr-sunclock/wlr-sunclock.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wlr-sunclock/fedora-31-x86_64/01596442-wlr-sunclock/wlr-sunclock-0.1.1-1.fc31.src.rpmhere>

Description: 

Wayland desktop widget to show the sun's shadows on earth. Uses
gtk-layer-shell and the layer shell protocol to render on your
desktop, behind your windows.

Fedora Account System Username: wef

Comment 1 Bob Hepple 2020-08-07 23:58:47 UTC
Fix error in URL:

Spec URL: https://download.copr.fedorainfracloud.org/results/wef/wlr-sunclock/fedora-31-x86_64/01596442-wlr-sunclock/wlr-sunclock.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wlr-sunclock/fedora-31-x86_64/01596442-wlr-sunclock/wlr-sunclock-0.1.1-1.fc31.src.rpm

Description: 

Wayland desktop widget to show the sun's shadows on earth. Uses
gtk-layer-shell and the layer shell protocol to render on your
desktop, behind your windows.

Fedora Account System Username: wef

Comment 2 Jan Blackquill (Carson Black) 2020-08-17 03:28:04 UTC
License is misspelled as LGPG instead of LGPL.

Glob on %{_bindir}/%{name}* seems extraneous.

rpmlint output on binary package:

 ➜ rpmlint wlr-sunclock-0.1.1-1.fc32.x86_64.rpm 
wlr-sunclock.x86_64: W: spelling-error %description -l en_US gtk -> gt, gt k
wlr-sunclock.x86_64: W: invalid-license LGPGv3
wlr-sunclock.x86_64: W: no-manual-page-for-binary wlr-sunclock
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint on specfile:

 ➜ rpmlint wlr-sunclock.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Besides those, this package looks fine. Fix the issues and this package should be good to go.

Comment 4 Robert-André Mauchin 🐧 2020-08-26 17:20:41 UTC
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

Please add a comment explaining the licenses breakdown.


Package approved, please fix the aforementioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License,
     Version 3". 18 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/wlr-sunclock/review-wlr-
     sunclock/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wlr-sunclock-0.1.1-2.fc34.x86_64.rpm
          wlr-sunclock-debuginfo-0.1.1-2.fc34.x86_64.rpm
          wlr-sunclock-debugsource-0.1.1-2.fc34.x86_64.rpm
          wlr-sunclock-0.1.1-2.fc34.src.rpm
wlr-sunclock.x86_64: W: spelling-error %description -l en_US gtk -> gt, gt k
wlr-sunclock.x86_64: W: no-manual-page-for-binary wlr-sunclock
wlr-sunclock.src: W: spelling-error %description -l en_US gtk -> gt, gt k
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 6 Gwyn Ciesla 2020-08-27 13:43:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wlr-sunclock

Comment 7 Fedora Update System 2020-08-29 00:26:31 UTC
FEDORA-2020-69914a354e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-69914a354e

Comment 8 Bob Hepple 2020-08-29 00:29:37 UTC
I found that aarch64 would not build so I consulted with upstream (https://github.com/sentriz/wlr-sunclock/issues/6) and they suggested removing the -X linker option from meson.build

So I have added a patch to remove that linker option (upstream will merge) and it's now in bohdi: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7d210734c4

Comment 9 Fedora Update System 2020-08-29 00:33:18 UTC
FEDORA-2020-397bd58048 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-397bd58048

Comment 10 Fedora Update System 2020-08-29 00:48:14 UTC
FEDORA-2020-98aea57a41 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-98aea57a41

Comment 11 Fedora Update System 2020-08-29 16:44:43 UTC
FEDORA-2020-69914a354e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-69914a354e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-69914a354e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-08-29 17:08:22 UTC
FEDORA-2020-397bd58048 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-397bd58048 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-397bd58048

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-08-31 14:27:47 UTC
FEDORA-2020-98aea57a41 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-98aea57a41 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-98aea57a41

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-09-05 18:32:05 UTC
FEDORA-2020-397bd58048 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-09-05 19:07:33 UTC
FEDORA-2020-69914a354e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-09-25 16:38:18 UTC
FEDORA-2020-98aea57a41 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.